Create Cloud Connection
Creates a cloud connection.
- application/json
Request Body
- cloudType CloudConnectionCloudType
Possible values: [
AMAZON_WEB_SERVICES,MICROSOFT_AZURE,none,aws,azure,googleCloud]Cloud type for the connection.
- connectionType CloudConnectionType
Possible values: [
CloudAccountLevel,OrganizationLevel]Type of the cloud connection.
- name string
Name of the cloud connection.
credentials object
Credentials for cloud connections
credentialType CloudConnectionCredentialTypePossible values: [
AWS_STS_ASSUME_ROLE,AWS_IAM_ROLE]Type of credential to be used to access cloud connection.
credentialId int32ID of the saved credentials.
- accessNodes object[]
List of servers and server groups to use to access the cloud connection.
cloudSpecificConfiguration object
Configuration settings specific to the connections cloud type.
aws object
AWS specific cloud connection configuration.
regions stringList of AWS regions to connect to.
iamRoleAccountId stringID of the AWS account which contains the IAM role to assume for authentication.
organizationConfiguration object
Configuration for AWS Organization cloud connection.
content object
Content for AWS Organization cloud connection.
accounts object[]
List of AWS accounts
name stringcloud account name
id stringcloud account id
uuid stringThe globally unique identifier for the account
email stringemail for cloud account
discoverAllAccounts booleanDefault value:
falseDiscover all accounts in the AWS organization
enableOwnerDetection booleanDefault value:
falseEnable owner detection for AWS accounts in the organization.
ownerDetectionConfiguration object
Owner discovery configuration.
identityCenterRegion string requiredRegion code of the region in which IAM Identity Center service is enabled in the AWS organization.
ownerPermissionSets string[] requiredList of IAM Identity center permission sets that identify account owners.
azure object
Azure specific cloud connection configuration.
tenantId stringAzure Tenant Id
tenantName stringAzure Tenant Name
environment stringAzure environment
subscriptions object[]
List of Azure Subscriptions
name stringcloud account name
id stringcloud account id
uuid stringThe globally unique identifier for the account
email stringemail for cloud account
discoverAllSubscription booleanDefault value:
falseAutomatically discover future subscription in Azure tenant.
isCustomConfig booleanDefault value:
falseFlag to indicate if custom configuration is used.
googleCloud object
Google Cloud specific cloud connection configuration.
serviceAccount stringService Account email address
projects object[]
List of Google Cloud projects.
name stringcloud account name
id stringcloud account id
uuid stringThe globally unique identifier for the account
email stringemail for cloud account
discoverAllProjects booleanAutomatically discover future projects associated with the service account.
- startDiscoveryJob boolean
Default value:
falseIndicates whether the user wants to start the discovery job with the modification
- enableDiscovery boolean
Default value:
trueIndicates whether the user wants to discover resources with the new cloud connection
- 200
- 400
- 500
Success
- application/json
- Schema
- Example (from schema)
Schema
- id int32
- name string
- cloudDiscoveryJobId int32
error object
errorMessage stringerrorCode int32
{
"id": 0,
"name": "string",
"cloudDiscoveryJobId": 0,
"error": {
"errorMessage": "string",
"errorCode": 0
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}